using Fort23.UTool;

using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventinterface;

namespace UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic
{
    public class TineLineAnimationEventLogic : TimeLineEventLogicBasic
    {
        protected override void ProSetCombatInfo()
        {
            LogTool.Log("TineLineAnimationEventLogic_ProSetCombatInfo");
        }

        protected override void ProEnter()
        {
            LogTool.Log("TineLineAnimationEventLogic_ProEnter");
            TineLineAnimationPlayableSerialization tineLineAnimationPlayableSerialization =
                timeLineAssetSerialization as TineLineAnimationPlayableSerialization;
            if (tineLineAnimationPlayableSerialization.isRunPlay)
            {
                ITimeLineAnimtion tinmLineAnim = _castEntity as ITimeLineAnimtion;
                tinmLineAnim.PlayAnim(tineLineAnimationPlayableSerialization.animName,
                    tineLineAnimationPlayableSerialization.loopMode == 1,
                    tineLineAnimationPlayableSerialization.layerId,true,1);
            }

        }

        protected override void ProLeave()
        {
        }

        protected override void ProTimeUpdate()
        {
        }

        protected override void ProBreakTimeLine()
        {
        }

        protected override void ProDispose()
        {
        }
    }
}